- library: '&IDL_MochaBaseSystem;'
  instances:
  - returnAttributeMethodBinding: '&IDMB_User__get__User_Name_with_Full_Name;'
    executesMethod: '&IDM_User__get__User_Name_with_Full_Name;'

  # User@get User Name with Full Name(BA)*S*P
  # Gets a formatted string including both system user name and preferred display full name
  # (e.g. `btrevino / Brooke Trevino` )
  - buildAttributeMethod: '&IDM_User__get__User_Name_with_Full_Name;'
    forClassId: '&IDC_User;'
    verb: 'get'
    name: 'User Name with Full Name'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_Value;'
    initialValue: ''
    buildsWithAttributes:
    - order: a
      executes: '&IDMB_User__get__User_Name;'
    - order: b
      executes: '&IDM_Common_Text__get__Single_Space;'
    - order: c
      executes: '&IDM_Common_Text__get__Forward_Slash;'
    - order: d
      executes: '&IDM_Common_Text__get__Single_Space;'
    - order: e
      executes: '&IDMB_User__get__Preferred_Display_Name_Formatted;'
